org.apache.struts2.interceptor

## Class CookieProviderInterceptor

- java.lang.Object
- - org.apache.struts2.interceptor.AbstractInterceptor
  - - com.opensymphony.xwork2.interceptor.AbstractInterceptor
    - - org.apache.struts2.interceptor.CookieProviderInterceptor

- All Implemented Interfaces:
    Serializable, ConditionalInterceptor, Interceptor, PreResultListener

      public class CookieProviderInterceptor
      extends AbstractInterceptor
      implements PreResultListener

  Allows actions to send cookies to client, action must implement `CookieProvider` You must reference this interceptor in your default stack or in action's stack, see example below. none
  - addCookiesToResponse - this method applies cookie created by action to response

       <action ... >
         <interceptor-ref name="defaultStack"/>
         <interceptor-ref name="cookieProvider"/>
         ...
       </action>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.interceptor.PreResultListener

      `PreResultListener.LegacyAdapter`

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.interceptor.ConditionalInterceptor

      `ConditionalInterceptor.LegacyAdapter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CookieProviderInterceptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addCookiesToResponse(CookieProvider action, javax.servlet.http.HttpServletResponse response)` Do what name suggests
    `void` | `beforeResult(ActionInvocation invocation, String resultCode)`
    `String` | `intercept(ActionInvocation invocation)` Override to handle interception

    - ### Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor

      `intercept, shouldIntercept, shouldIntercept`

    - ### Methods inherited from class org.apache.struts2.interceptor.AbstractInterceptor

      `destroy, init, setDisabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.opensymphony.xwork2.interceptor.PreResultListener

      `adapt, beforeResult`

    - ### Methods inherited from interface com.opensymphony.xwork2.interceptor.ConditionalInterceptor

      `adapt`

    - ### Methods inherited from interface com.opensymphony.xwork2.interceptor.Interceptor

      `adapt`

    - ### Methods inherited from interface org.apache.struts2.interceptor.Interceptor

      `destroy, init`

- - ### Constructor Detail

    - #### CookieProviderInterceptor

          public CookieProviderInterceptor()

  - ### Method Detail

    - #### intercept

          public String intercept(ActionInvocation invocation)
                           throws Exception

      Description copied from class: `AbstractInterceptor`
      Override to handle interception
      Specified by:
        `intercept` in class `AbstractInterceptor`
      Throws:
        `Exception`

    - #### addCookiesToResponse

          protected void addCookiesToResponse(CookieProvider action,
                                              javax.servlet.http.HttpServletResponse response)

      Do what name suggests
      Parameters:
        `action` - `CookieProvider` action
        `response` - current `HttpServletResponse`

    - #### beforeResult

          public void beforeResult(ActionInvocation invocation,
                                   String resultCode)

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.